Remote Server Administration Tools for Windows 7

To ease remote server management, you can download and install Remote Server Administration Tools for Windows® 7 on computers that are running Windows 7.

About Remote Server Administration Tools

You can install the Administration Tools pack on computers that are running the Windows 7 operating system, and use the Administration Tools pack to manage specific technologies on computers that are running either Windows Server® 2008 R2, Windows Server 2008, or, in some cases, Windows Server 2003.

The Administration Tools pack includes support for remote management of computers that are running the Server Core installation option of either Windows Server 2008 R2 or Windows Server 2008. However, Remote Server Administration Tools for Windows 7 cannot be installed on any versions of the Windows Server operating system.

Administration Tools are secure by default. The default Administration Tools configuration opens only those ports and enables only those services and firewall exceptions required for remote management to work.

System requirements

Remote Server Administration Tools for Windows 7 can be installed on computers that are running the Professional, Enterprise, or Ultimate editions of Windows 7.

Remote Server Administration Tools for Windows 7 runs on both x86- and x64-based editions of Windows 7, and can be used to manage roles and features that are running on either the Server Core or full installation options of the x64-based Windows Server 2008 R2 operating system. Remote management is also supported for some roles and features that run on Windows Server 2008 or Windows Server 2003.

Remote Server Administration Tools for Windows 7 should not be installed on a computer that is running the Windows Server 2003 Administration Tools Pack or Windows 2000 Server® Administration Tools Pack. Remove all versions of Administration Tools Pack or Remote Server Administration Tools for Windows Vista SP1 from the computer before you install Remote Server Administration Tools for Windows 7.

See Also

  • Installing or Removing Remote Server Administration Tools for Windows 7
  • What Are the Remote Server Administration Tools?
  • Managing Your Server Remotely with Administration Tools


Installing or Removing Remote Server Administration Tools for Windows 7

Remote Server Administration Tools for Windows® 7 is a set of remote management tools that you can download and install on computers that are running Windows 7. After you have downloaded the pack, you can install the Administration Tools pack by double-clicking the downloaded package on your computer and then completing the installation wizard.

Prerequisites for installing the Administration Tools pack

You can install the Administration Tools pack only on a computer that is running Windows 7.

You should only install Administration Tools to perform administrative tasks on computers that are running either Windows Server® 2008 R2, Windows Server 2008, or Windows Server 2003.

You must be either a member of the Administrators group on the computer on which you want to install the Administration Tools pack, or you must be logged on to the computer by using the built-in Administrator account.

In this topic

How to install the Administration Tools pack

How to reinstall or remove tools in the Administration Tools pack

How to remove the Administration Tools pack

How to install the Administration Tools pack

You can install the Administration Tools pack on a computer that is running the Professional, Enterprise, or Ultimate editions of Windows 7.

Important
  • Remove all versions of Administration Tools Pack or Remote Server Administration Tools from the computer before you install Remote Server Administration Tools for Windows 7.
  • Only one copy of Remote Server Administration Tools for Windows 7 can be installed on a computer at one time. Before you install a new package, remove any existing copies of Remote Server Administration Tools for Windows 7. This includes any copies that are in different languages. To remove existing copies of Remote Server Administration Tools for Windows 7, see How to remove the Administration Tools pack in this topic.
  • To install the Administration Tools pack by using the Windows interface

  • To install the Administration Tools pack by using a command line

To install the Administration Tools pack by using the Windows interface

  1. Download the Administration Tools package from the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkID=137379).

  2. Open the folder into which the package downloaded, double-click the package to unpack the files, and then start the Remote Server Administration Tools Setup Wizard.

    Note

    You must accept the License Terms and Limited Warranty to install Administration Tools.

  3. Complete all the steps that are required by the wizard, and then click Finish to exit the wizard when installation is completed.

  4. Click Start, click Control Panel, and then click Programs.

  5. In the Programs and Features area, click Turn Windows features on or off.

    If you are prompted by User Account Control to allow the Windows Features dialog box to open, click Continue.

  6. In the Windows Features dialog box, expand Remote Server Administration Tools.

  7. Select the remote management tools that you want to install, and then click OK.

  8. Configure the Start menu to display the Administration Tools shortcut, if it is not already there.

    1. Right-click Start, and then click Properties.

    2. On the Start Menu tab, click Customize.

    3. In the Customize Start Menu dialog box, scroll down to System Administrative Tools, and then select Display on the All Programs menu and the Start menu. Click OK.

      Shortcuts for snap-ins installed by Remote Server Administration Tools for Windows 7 are added to the Administrative Tools list on the Start menu.

To install the Administration Tools pack by using a command line

  1. Download the Administration Tools package from the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkID=137379).

    Note the location into which you are downloading the package, because you have to change to that directory later in this procedure to continue installing the Administration Tools pack.

  2. On the computer that is running Windows 7, open a Command Prompt session with elevated user rights by clicking Start, clicking All Programs, clicking Accessories, right-clicking Command Prompt, and then clicking Run as administrator.

  3. Change to the directory into which you downloaded the Administration Tools package, type one of the following, depending upon your computer’s architecture, and then press Enter to install Administration Tools.

    • Windows6.1-KB958830-x86.msu /quiet

    • Windows6.1-KB958830-x64.msu /quiet

  4. After the Administration Tools package is installed, show the command IDs of the tools you want to enable by typing the following, and then pressing Enter. Look for feature names that begin with RemoteServerAdministrationTools.

    dism /online /get-features

    Note

    The DISM command-line utility is case-sensitive. Be sure to use the exact feature name, preserving capitalization, in installation or removal commands.

  5. In the Command Prompt session, use a command in the following format to enable remote administration tools. Tool names can be nested in a multilevel hierarchy of parent nodes; note the relationship of the tool you want to install to its parent nodes in the results of step 4.

    dism /online /enable-feature /featurename:RemoteServerAdministrationTools /featurename:RemoteServerAdministrationTools-<feature-parent (if applicable)> /featurename:RemoteServerAdministrationTools-<feature-parent (if applicable)>-<feature-name>

    In the following example, the administrator installs the Server Manager console onto a computer that is running Windows 7. Server Manager has only the RemoteServerAdministrationTools parent node.

    dism /online /enable-feature /featurename:RemoteServerAdministrationTools /featurename:RemoteServerAdministrationTools-ServerManager

    In the following example, the administrator installs the DNS Server role management snap-in.

    dism /online /enable-feature /featurename:RemoteServerAdministrationTools /featurename:RemoteServerAdministrationTools-Roles /featurename:RemoteServerAdministrationTools-Roles-DNS

    In the following example, the administrator installs the Group Policy Management feature snap-in.

    dism /online /enable-feature /featurename:RemoteServerAdministrationTools /featurename:RemoteServerAdministrationTools-Features /featurename:RemoteServerAdministrationTools-Features-GP

How to reinstall or remove tools in the Administration Tools pack

If the Administration Tools pack was removed from a computer that is running Windows 7, you can install it again by following these steps. On the command line, you can disable all tools at the same time, or specific tools.

  • To reinstall or remove individual remote administration tools by using the Windows interface

  • To disable tools by using the command line

To reinstall or remove individual remote administration tools by using the Windows interface

  1. Click Start, click Control Panel, and then click Programs.

  2. In the Programs and Features area, click Turn Windows features on or off.

    If you are prompted by User Account Control to allow the Windows Features dialog box to open, click Continue.

  3. In the Windows Features dialog box, expand Remote Server Administration Tools.

  4. Select the remote management tools that you want to install, or clear the check boxes for any tools that you want to remove, and then click OK.

To disable tools by using the command line

  1. On the computer that is running Windows 7, open a Command Prompt session with elevated user rights by clicking Start, clicking All Programs, clicking Accessories, right-clicking Command Prompt, and then clicking Run as administrator.

  2. Type a command in the following format, and then press Enter.

    dism /online /disable-feature /featurename:RemoteServerAdministrationTools-<feature-parent (if applicable)>-<feature-name>

    In the following example, the administrator disables the Group Policy Management snap-in.

    dism /online /disable-feature /featurename:RemoteServerAdministrationTools-Features-GP

    In the following example, the administrator disables the Server Manager console.

    dism /online /disable-feature /featurename:RemoteServerAdministrationTools-ServerManager

    In the following example, the administrator disables the DNS Server snap-in.

    dism /online /disable-feature /featurename:RemoteServerAdministrationTools-Roles-DNS

    Note

    To obtain command IDs, see step 4 of the procedure To install the Administration Tools pack by using a command line.

How to remove the Administration Tools pack

You can remove Administration Tools from a computer by using either the Uninstall a program utility in Control Panel, or a Command Prompt session.

  • To remove the Administration Tools pack by using the Windows interface

  • To remove the Administration Tools pack by using a command line

To remove the Administration Tools pack by using the Windows interface

  1. Click Start, click Control Panel, and then click Uninstall a program in the Programs area.

  2. Click View installed updates.

  3. Select Update for Microsoft Windows (958830).

  4. Click Uninstall.

To remove the Administration Tools pack by using a command line

  1. On the computer that is running Windows 7, open a Command Prompt session with elevated user rights by clicking Start, clicking All Programs, clicking Accessories, right-clicking Command Prompt, and then clicking Run as administrator.

  2. Find the name of the Administration Tools package by typing the following, and then pressing Enter.

    dism /online /Get-Packages

    In the command results, look for the package name that contains the text RemoteServerAdministrationTools.

  3. Type the following, and then press Enter to remove the package from the computer, in which Name represents the entire name of the package that you obtained in step 2, including version number and architecture information.

    dism /online /Remove-Package /PackageName:<Name>

See Also

  • Remote Server Administration Tools for Windows 7


What Are the Remote Server Administration Tools?

When you install Remote Server Administration Tools for Windows® 7 on a computer that is running Windows 7, you select the roles, role services, and features you that want to manage on remote computers that are running either Windows Server® 2008 R2, Windows Server 2008, or Windows Server 2003.

When Administration Tools installation is complete, snap-ins and tools to manage corresponding roles, role services, and features are available on your computer.

Available remote administration tools

For Windows 7, the following tools are available for installation together with Administration Tools.

Note

When you install tools for specific roles, role services, and features within Administration Tools, you install only a set of snap-ins and tools for remote management of those roles, role services, and features installed on other computers. Installing Administration Tools does not install any roles or features on the local computer.

Remote Server Administration Tools for roles

Remote Server Administration Tools role or technology Description

Active Directory® Certificate Services Tools

Active Directory Certificate Services Tools includes the Certification Authority, Certificate Templates, Enterprise PKI, and Online Responder Management snap-ins.

Active Directory Domain Services (AD DS) and Active Directory Lightweight Directory Services (AD LDS) Tools

Active Directory Domain Services includes Active Directory Users and Computers, Active Directory Domains and Trusts, Active Directory Sites and Services, Active Directory Administrative Center, Server for Network Information Service (NIS) tools, the Windows PowerShell module for Active Directory , and other snap-ins and command-line tools for remotely managing Active Directory Domain Services.

Active Directory Lightweight Directory Services Tools includes Active Directory Sites and Services, ADSI Edit, Schema Manager, and other snap-ins and command-line tools for managing Active Directory Lightweight Directory Services.

Server for NIS Tools includes an extension to the Active Directory Users and Computers snap-in, and the ypclear.exe command-line tool.

DHCP Server Tools

DHCP Server Tools includes the DHCP Management Console and netsh command-line tool.

DNS Server Tools

DNS Server Tools includes the DNS Manager snap-in and dnscmd.exe command-line tool.

File Services Tools

File Services Tools include the following:

  • Distributed File System Tools includes the DFS Management snap-in, and the dfsradmin.exe, dfsrdiag.exe, dfscmd.exe, dfsdiag.exe, and dfsutil.exe command-line tools.

  • File Server Resource Manager tools includes the File Server Resource Manager snap-in, and the dirquota.exe, filescrn.exe and storrept.exe command line tools.

  • Share and Storage Management Tools includes the Share and Storage Management snap-in.

Hyper-V™ Tools

Hyper-V Tools includes the Hyper-V Manager snap-in and the Virtual Machine Connection remote access tool.

Remote Desktop Services Tools

Remote Desktop Services Tools includes the Remote Desktop Services Manager and Remote Desktop snap-ins.

Server Manager

Server Manager includes the Server Manager console.

Remote Server Administration Tools for features

Remote Server Administration Tools feature | Description
BitLocker Active Directory Recovery Password Viewer | The BitLocker Active Directory Recovery Password Viewer tool is an extension for the Active Directory Users and Computers Microsoft Management Console (MMC) snap-in. Using this tool, you can open the Properties dialog box for a computer object to view the corresponding BitLocker recovery passwords.
Failover Clustering Tools | Failover Clustering Tools includes Failover Cluster Manager, Windows PowerShell tools for managing Failover Clustering, and the cluster.exe command-line tool.
Group Policy Management Tools | Group Policy Management Tools includes Group Policy Management Console, Group Policy Management Editor, and Group Policy Starter GPO Editor.
Network Load Balancing Tools | Network Load Balancing Tools includes the Network Load Balancing Manager snap-in, Windows PowerShell tools for managing Network Load Balancing, and the nlb.exe and wlbs.exe command-line tools.
SMTP Server Tools | SMTP Server Tools includes the Simple Mail Transfer Protocol (SMTP) snap-in.
Storage Explorer Tools | Storage Explorer Tools includes the Storage Explorer snap-in.
Storage Manager for SANs Tools | Storage Manager for SANs Tools includes the Storage Manager for SANs snap-in, and the provisionstorage.exe command-line tool.
Windows System Resource Manager Tools | Windows System Resource Manager Tools includes the Windows System Resource Manager snap-in, and the wsrmc.exe command-line tool.


Managing Your Server Remotely with Administration Tools

This topic describes how you open and use snap-ins and tools that installed as part of Remote Server Administration Tools for Windows® 7 to manage roles and features that are installed on other computers.

Opening snap-ins for remote administration

Follow these steps to open a snap-in that is installed as part of Remote Server Administration Tools for Windows 7.

To open a snap-in for remote administration

  1. Click Start, point to Administrative Tools, and then click the snap-in that you want to open.

    If the snap-in you want is not listed in Administrative Tools, add the snap-in to a Microsoft Management console (MMC). Click Start, type mmc in the Start Search text box, and then press Enter to open MMC. On the File menu of the new MMC, click Add/Remove Snap-in to select the snap-in you want. For more information about how to add a snap-in to an MMC, see the MMC Help.

  2. Select the computer on which you want to manage roles, role services, or features by using the appropriate command, either on the Action menu, or in the Actions pane. Typically, this command is titled Connect to another computer, or similar.

  3. In the Select Computer dialog box, do one of the following.

    • Type the name or IP address of a computer that is running Windows Server 2008 R2, Windows Server 2008, or Windows Server 2003, on which the role or feature that you want to manage is installed.

    • Click Browse to select the computer on which the role or feature that you want to manage is installed.

  4. Click OK to close the Browse for a Computer dialog box.

  5. Click OK to close the Select Computer dialog box.

Refer to the Help for the role or feature that you want to manage remotely for information about specific tasks and management considerations.

Advanced options for running Server Manager on Windows 7

Remote Server Administration Tools for Windows 7 includes Server Manager for managing roles and features on a computer that is running either the full or Server Core installation options of Windows Server 2008 R2. To manage a computer remotely by using Server Manager, you connect Server Manager to a remote computer in the same manner you would connect Microsoft Management console (MMC) snap-ins for other technologies.

You must be a member of the Administrators group on any remote computers that you want to manage by using Server Manager. To run Server Manager on Windows 7, and target it at a server that is running Windows Server 2008 R2, follow the procedure in this section.

For more information about how to run Server Manager targeted at remote computers, see Remote Management with Server Manager (http://go.microsoft.com/fwlink/?LinkId=137378) in the Server Manager Help.

To run Server Manager on Windows 7

  1. On the remote computer that you want to manage, open Server Manager. To open Server Manager, click Start, point to Administrative Tools, and then click Server Manager.

  2. In the Server Summary area, click Configure Server Manager Remote Management.

  3. Select Enable remote management of this server from other computers. Click OK.

  4. Install Remote Server Administration Tools for Windows 7 on a computer that is running Windows 7 as instructed in Installing or Removing Remote Server Administration Tools for Windows 7.

  5. On the computer that is running Windows 7, open a Command Prompt session with elevated user rights by clicking Start, clicking All Programs, clicking Accessories, right-clicking Command Prompt, and then clicking Run as administrator.

  6. Start the Windows Remote Management (WinRM) service.Type the following, and then press Enter.

    net start winrm

  7. On the computer that is running Windows 7, open Server Manager. Click Start, point to Administrative Tools, and then click Server Manager.

    Note

    Depending upon the configuration of your Start menu on Windows 7, Administrative Tools might be located in Control Panel.

  8. Right-click the Server Manager node at the top of the tree pane, and then click Connect to Another Computer.

  9. Type the name of the computer that is running Windows Server 2008 R2, and that you prepared for remote management in steps 1 through 3 of this procedure.

Using command-line tools for remote administration

Perform the following steps to use an Administration Tools command-line tool for remote administration of a role, role service, or feature on another computer.

To use a command-line tool for remote administration

  1. Open a Command Prompt window with elevated rights by clicking Start, right-clicking Command Prompt, and then clicking Run as administrator.

    Note

    If there is no Command Prompt shortcut on the Start menu, click Start, click All Programs, click Accessories, right-click Command Prompt, and then click Run as administrator.

  2. If User Account Control prompts you to let Command Prompt run as an administrator, click Continue.

  3. Enter the command in the Command Prompt window, and then press Enter.

    You might be required to specify the computer that is running the role, role service, or feature that you want to manage. To obtain the correct syntax for specifying in the command line the computer that you want to manage, type command_name /?, where command_name represents the command that you want to use.

See Also

  • Remote Server Administration Tools for Windows 7